Method: projects.locations.functions.redirectFunctionUpgradeTraffic

Changes the traffic target of a function from the original 1st Gen function to the 2nd Gen copy. This is the second step of the multi step process to upgrade 1st Gen functions to 2nd Gen. After this operation, all new traffic will be served by 2nd Gen copy.

HTTP request

POST https://cloudfunctions.googleapis.com/v2/{name}:redirectFunctionUpgradeTraffic

Path parameters

Parameters
name

string

Required. The name of the function for which traffic target should be changed to 2nd Gen from 1st Gen. It takes the form projects/{project}/locations/{location}/functions/{function}.

Authorization requires the following IAM permission on the specified resource name:

  • cloudfunctions.functions.generationUpgrade

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.